Bug 1394961 - Missing dependency on pyparsing
Summary: Missing dependency on pyparsing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-manila
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Tom Barron
QA Contact: Dustin Schoenbrun
Don Domingo
URL: https://review.rdoproject.org/r/#/c/3...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-14 21:41 UTC by Eric Harney
Modified: 2016-12-14 16:32 UTC (History)
5 users (show)

Fixed In Version: openstack-manila-3.0.0-4.el7ost
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2016-12-14 16:32:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
RDO 3797 None None None 2016-11-17 03:33:20 UTC

Description Eric Harney 2016-11-14 21:41:59 UTC
Description of problem:
Manila's scheduler evaluator uses the pyparsing library, which isn't listed as an RPM dependency.

Version-Release number of selected component (if applicable):
OSP10

Comment 1 Tom Barron 2016-11-15 12:14:48 UTC
Eric, I notice that the cinder spec has 'BuildRequires: pyparsing' in addition
to 'Requires: pyparsing'.  Is the first also needed?  How do I know which
of the requirements are also build requirements?

Comment 2 Eric Harney 2016-11-15 12:31:16 UTC
(In reply to Tom Barron from comment #1)
This is just for Cinder's sample config file generation at build time.  I believe Manila's config file generation works a bit differently, so adding it only to Requires: is probably sufficient.

Comment 3 Jon Schlueter 2016-11-17 03:34:35 UTC
proposed backport of change to RDO newton-rdo branch to match this change as well.

https://review.rdoproject.org/r/#/c/3797

Comment 6 Tom Barron 2016-11-23 16:58:28 UTC
Deployed to overcloud with recent puddle.  We have:

# yum list installed | grep python-manila.noarch
python-manila.noarch                1:3.0.0-5.el7ost   @rhos-10.0-puddle 
# yum deplist python-manila | grep pyparsing
  dependency: pyparsing >= 2.0.1
   provider: pyparsing.noarch 2.0.3-1.el7ost

Since this was fixed in 3.0.0-4 and we see the dependency with 3.0.0-5 I think we're OK.

Comment 8 Dustin Schoenbrun 2016-11-23 18:38:59 UTC
Looks good to me! Thanks for doing this, Tom!

Comment 10 errata-xmlrpc 2016-12-14 16:32:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.